<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:02 CET 2009 -->
<TITLE>
AbstractExactMembershipLongSet.Storage
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.longs.AbstractExactMembershipLongSet.Storage interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractExactMembershipLongSet.Storage";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractExactMembershipLongSet.Storage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" title="class in ch.javasoft.util.longs"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage64.html" title="class in ch.javasoft.util.longs"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractExactMembershipLongSet.Storage.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.longs</FONT>
<BR>
Interface AbstractExactMembershipLongSet.Storage</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet.AbstractStorage</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage64.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage64</A></DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>protected static interface <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.260"><B>AbstractExactMembershipLongSet.Storage</B></A></DL>
</PRE>

<P>
The <code>Storage</code> implementation performs the actual storage of
 the long values. Depending on the number <code>n</code>, usually the length
 of the value array, the <code>k</code> parameter is chosen differently 
 indicating how many bits should be stored in a bit string form, and how    
 many in raw form. Each implementation of this class stands for a separate
 <code>k</code> value.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#bytesSize()">bytesSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the total number of bytes used to store the values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#convertSignedToUnsignedIndex(int)">convertSignedToUnsignedIndex</A></B>(int&nbsp;signedIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts an index referring to a sorted array using signed comparison 
 into an referring to a list containing the same numbers but sorted
 with unsigned comparison</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#convertUnsignedToSignedIndex(int)">convertUnsignedToSignedIndex</A></B>(int&nbsp;unsignedIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts an index referring to a sorted array using unsigned 
 comparison into an referring to a list containing the same numbers 
 but sorted with signed comparison</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#get(int)">get</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a long value by index.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#getK()">getK</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of low-order bits</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#indexOf(long)">indexOf</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Searches for the specified value using the binary search algorithm 
 and treating all values as unsigned long values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#indexOfFirstNegativeValue()">indexOfFirstNegativeValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index of the first negative number, or <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#size()"><CODE>size()</CODE></A>  
 if all values are nonnegative</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#intersect(ch.javasoft.util.longs.AbstractExactMembershipLongSet.Storage)">intersect</A></B>(<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a storage object with the long values common to <code>this</code> 
 and <code>with</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#listIterator(int, int)">listIterator</A></B>(int&nbsp;start,
                         int&nbsp;end)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a list iterator to iterate all long values from <code>start</code> 
 (inclusive) to <code>end</code> (exclusive)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of long values stored here</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.264"><B>size</B></A>()</PRE>
<DL>
<DD>The number of long values stored here
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getK()"><!-- --></A><H3>
getK</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.268"><B>getK</B></A>()</PRE>
<DL>
<DD>Returns the number of low-order bits
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="indexOfFirstNegativeValue()"><!-- --></A><H3>
indexOfFirstNegativeValue</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.275"><B>indexOfFirstNegativeValue</B></A>()</PRE>
<DL>
<DD>Returns the index of the first negative number, or <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#size()"><CODE>size()</CODE></A>  
 if all values are nonnegative
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the index of the first negative number, or <code>#size()</code> 
                        if all values are nonnegative</DL>
</DD>
</DL>
<HR>

<A NAME="convertSignedToUnsignedIndex(int)"><!-- --></A><H3>
convertSignedToUnsignedIndex</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.284"><B>convertSignedToUnsignedIndex</B></A>(int&nbsp;signedIndex)</PRE>
<DL>
<DD>Converts an index referring to a sorted array using signed comparison 
 into an referring to a list containing the same numbers but sorted
 with unsigned comparison
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>signedIndex</CODE> - the index in a signed sorted list
<DT><B>Returns:</B><DD>the index in an unsigned sorted list</DL>
</DD>
</DL>
<HR>

<A NAME="convertUnsignedToSignedIndex(int)"><!-- --></A><H3>
convertUnsignedToSignedIndex</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.293"><B>convertUnsignedToSignedIndex</B></A>(int&nbsp;unsignedIndex)</PRE>
<DL>
<DD>Converts an index referring to a sorted array using unsigned 
 comparison into an referring to a list containing the same numbers 
 but sorted with signed comparison
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>unsignedIndex</CODE> - the index in a unsigned sorted list
<DT><B>Returns:</B><DD>the index in an signed sorted list</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
long <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.303"><B>get</B></A>(int&nbsp;index)</PRE>
<DL>
<DD>Returns a long value by index. The index is also the mean index of 
 the unsigned value, meaning that <code>get(k)</code> returns the 
 <code>k<sup>th</sup> smallest value according to unsigned long
 comparison.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>index</CODE> - the list or unsigned mean index of the desired value
<DT><B>Returns:</B><DD>the value at the specified position</DL>
</DD>
</DL>
<HR>

<A NAME="indexOf(long)"><!-- --></A><H3>
indexOf</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.321"><B>indexOf</B></A>(long&nbsp;value)</PRE>
<DL>
<DD>Searches for the specified value using the binary search algorithm 
 and treating all values as unsigned long values. The index, if it is 
 found, is unique since this is a set, and it reflects the index in a 
 ascending unsigned sorted set.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the value to be searched for
<DT><B>Returns:</B><DD>index of the search key, if it is contained in this set;
               otherwise, <tt>(-(<i>insertion point</i>) - 1)</tt>.  The
               <i>insertion point</i> is defined as the point at which the
               key would be inserted into the list: the index of the first
               element in the range greater than the key,
               or <tt>toIndex</tt> if all
               elements in the range are less than the specified key.  Note
               that this guarantees that the return value will be &gt;= 0 if
               and only if the key is found.</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator(int, int)"><!-- --></A><H3>
listIterator</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.328"><B>listIterator</B></A>(int&nbsp;start,
                              int&nbsp;end)</PRE>
<DL>
<DD>Returns a list iterator to iterate all long values from <code>start</code> 
 (inclusive) to <code>end</code> (exclusive)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>start</CODE> - the index of the first value, inclusive<DD><CODE>end</CODE> - the index of the last value, exclusive</DL>
</DD>
</DL>
<HR>

<A NAME="intersect(ch.javasoft.util.longs.AbstractExactMembershipLongSet.Storage)"><!-- --></A><H3>
intersect</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.337"><B>intersect</B></A>(<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A>&nbsp;with)</PRE>
<DL>
<DD>Returns a storage object with the long values common to <code>this</code> 
 and <code>with</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - the storage object to intersect with
<DT><B>Returns:</B><DD>the storage object containing elements which are contained 
                        in <code>this</code> as well as in <code>with</code></DL>
</DD>
</DL>
<HR>

<A NAME="bytesSize()"><!-- --></A><H3>
bytesSize</H3>
<PRE>
long <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html#line.344"><B>bytesSize</B></A>()</PRE>
<DL>
<DD>Returns the total number of bytes used to store the values. Constant
 parts such as size value or array length field are omitted.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the number of bytes used to store the values</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractExactMembershipLongSet.Storage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" title="class in ch.javasoft.util.longs"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage64.html" title="class in ch.javasoft.util.longs"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractExactMembershipLongSet.Storage.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
